/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * Copyright(C) 2011 avanza Co.,Ltd. All rights reserved.
 * http://www.avnz.co.jp/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package com.aimluck.eip.mail.beans;

/**
 * メール検索条件情報クラス
 * 
 * @author motegi メール全文検索対応
 */
public class ALMailSearchCondition {

  /** 検索ワード */
  private String searchWord;

  /** 件名検索ワード */
  private String searchSubjectWord;

  /** 差出人／受取人検索ワード */
  private String searchAddressWord;

  /** サブフォルダも含む */
  protected String includeSubFolder;

  public String getSearchWord() {
    return searchWord;
  }

  public void setSearchWord(String searchWord) {
    this.searchWord = searchWord;
  }

  public String getSearchSubjectWord() {
    return searchSubjectWord;
  }

  public void setSearchSubjectWord(String searchSubjectWord) {
    this.searchSubjectWord = searchSubjectWord;
  }

  public String getSearchAddressWord() {
    return searchAddressWord;
  }

  public void setSearchAddressWord(String searchAddressWord) {
    this.searchAddressWord = searchAddressWord;
  }

  /**
   * サブフォルダも含む 取得
   * 
   * @return includeSubFolder
   */
  public String getIncludeSubFolder() {
    return includeSubFolder;
  }

  /**
   * サブフォルダも含む セット
   * 
   * @param includeSubFolder
   */
  public void setIncludeSubFolder(String includeSubFolder) {
    this.includeSubFolder = includeSubFolder;
  }

}
